#include "Globals.h"
#include "StateHandler.h"


SegmentDisplay* display;
Button* buttonA;
Button* buttonB;
Button* buttonArmed;

uint32_t shots = 0;
uint32_t hits = 0;

unsigned long currentTime;
AbstractStateHandler* currentState;


void setCurrentState(AbstractStateHandler* value)
{
  buttonA->block();
  buttonB->block();

  currentState = value;
  currentState->setup();
}
